#!/usr/bin/env python3

import pyqrcode
import os

path = os.getcwd()
url = input("URL : ")
try:
   taille = int(input("Taille (1-100 par defaut=5) : ").strip() or "5")
   if taille < 1 or taille > 100:
      print("Valeur incorrecte !")
   else:
      qr = pyqrcode.create(url)
      qr.png(path + "/qr.png", scale=taille)
      print("Sauvegardé dans " + path + "/qr.png")
   
except ValueError:
   print("Valeur numérique uniquement !")
